exceptions with latest trunk

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

exceptions with latest trunk

Tom Melendez
Hi Folks,

Cassandra newbie here.  I was running trunk just before the 0.3
release and did an SVN update.  I now get this error:

http://pastebin.org/4289

Also note the two tests that fail when I run "ant test".

I thought I caught in an archive somewhere that the data files after
0.3 would no longer be compatible with pre-0.3, but I can't seem to
find that email anywhere and maybe that's a red herring.

What do you think?

Thanks,

Tom
Reply | Threaded
Open this post in threaded view
|

Re: exceptions with latest trunk

Chris Goffinet-2
Yes 0.3 vs trunk (upcoming 0.4) had an on disk data format change.  
Remove your files. We also have modified the storage-conf.xml quite a  
bit now. Many things have changed since 0.3.

-Chris

On Jul 25, 2009, at 9:55 PM, Tom Melendez wrote:

> Hi Folks,
>
> Cassandra newbie here.  I was running trunk just before the 0.3
> release and did an SVN update.  I now get this error:
>
> http://pastebin.org/4289
>
> Also note the two tests that fail when I run "ant test".
>
> I thought I caught in an archive somewhere that the data files after
> 0.3 would no longer be compatible with pre-0.3, but I can't seem to
> find that email anywhere and maybe that's a red herring.
>
> What do you think?
>
> Thanks,
>
> Tom

Reply | Threaded
Open this post in threaded view
|

Re: exceptions with latest trunk

Tom Melendez-2
Thanks Chris.

Just for the record, I removed the files in data and the commitlog and
all is well.

Thanks,

Tom

On Sat, Jul 25, 2009 at 10:00 PM, Chris Goffinet<[hidden email]> wrote:

> Yes 0.3 vs trunk (upcoming 0.4) had an on disk data format change. Remove
> your files. We also have modified the storage-conf.xml quite a bit now. Many
> things have changed since 0.3.
>
> -Chris
>
> On Jul 25, 2009, at 9:55 PM, Tom Melendez wrote:
>
>> Hi Folks,
>>
>> Cassandra newbie here.  I was running trunk just before the 0.3
>> release and did an SVN update.  I now get this error:
>>
>> http://pastebin.org/4289
>>
>> Also note the two tests that fail when I run "ant test".
>>
>> I thought I caught in an archive somewhere that the data files after
>> 0.3 would no longer be compatible with pre-0.3, but I can't seem to
>> find that email anywhere and maybe that's a red herring.
>>
>> What do you think?
>>
>> Thanks,
>>
>> Tom
>
>